]>
git.madduck.net Git - code/vcsh.git/commitdiff
madduck's git repository
Every one of the projects in this repository is available at the canonical
URL git://git.madduck.net/madduck/pub/<projectpath> — see
each project's metadata for the exact URL.
All patches and comments are welcome. Please squash your changes to logical
commits before using git-format-patch and git-send-email to
patches@ git. madduck. net .
If you'd read over the Git project's submission guidelines and adhered to them,
I'd be especially grateful.
SSH access, as well as push access can be individually
arranged .
If you use my repositories frequently, consider adding the following
snippet to ~/.gitconfig and using the third clone URL listed for each
project:
[url "git://git.madduck.net/madduck/"]
insteadOf = madduck:
summary |
shortlog |
log |
commit | commitdiff |
tree
raw |
patch |
inline | side by side (parent:
e01cd00 )
if [ ! -d "$GIT_DIR" ]; then
echo E: no repository found for "$REPO_NAME" >&2
if [ ! -d "$GIT_DIR" ]; then
echo E: no repository found for "$REPO_NAME" >&2
elif [ "$1" = 'run' ]; then
verbose "run begin"
elif [ "$1" = 'run' ]; then
verbose "run begin"
# zle -N vcsh_exit
# bindkey '^d' 'vcsh_exit'
# fi
# zle -N vcsh_exit
# bindkey '^d' 'vcsh_exit'
# fi
# [ -n "$ZSH_VERSION" ] && [ "$USER" = richih ] && buildPS1
# verbose "use end"
# exit 0
# [ -n "$ZSH_VERSION" ] && [ "$USER" = richih ] && buildPS1
# verbose "use end"
# exit 0
echo " Once this situation has been resolved, run 'vcsh run <foo> git pull' to finish cloning.\n" &&
exit 3
git merge origin/master
echo " Once this situation has been resolved, run 'vcsh run <foo> git pull' to finish cloning.\n" &&
exit 3
git merge origin/master
+# use $REPO_NAME || return 1
verbose "clone end"
elif [ "$1" = 'init' ]; then
verbose "clone end"
elif [ "$1" = 'init' ]; then
export REPO_NAME="$2"
export GIT_DIR="$VCSH_BASE/$REPO_NAME.git"
init
export REPO_NAME="$2"
export GIT_DIR="$VCSH_BASE/$REPO_NAME.git"
init
+# use "$REPO_NAME" || return 1
verbose "init end"
#elif [ "$1" = 'exit' ]; then
verbose "init end"
#elif [ "$1" = 'exit' ]; then
elif [ "$1" = 'seed-gitignore' ]; then
verbose "seed-gitignore begin"
[ -z $2 ] && help && echo && echo "$SELF $1: error: please specify repository to work on" && return 0
elif [ "$1" = 'seed-gitignore' ]; then
verbose "seed-gitignore begin"
[ -z $2 ] && help && echo && echo "$SELF $1: error: please specify repository to work on" && return 0
# Switching directory as this has to be executed from $HOME to be of any use.
# Going back into old directory at the end in case `vcsh use` is reactivated.
old_dir="$PWD"
# Switching directory as this has to be executed from $HOME to be of any use.
# Going back into old directory at the end in case `vcsh use` is reactivated.
old_dir="$PWD"